org.eclipse.net4j.util.lifecycle

## Enum ILifecycleEvent.Kind

- java.lang.Object
- - java.lang.Enum<ILifecycleEvent.Kind>
  - - org.eclipse.net4j.util.lifecycle.ILifecycleEvent.Kind

- All Implemented Interfaces:
    Serializable, Comparable<ILifecycleEvent.Kind>
  Enclosing interface:
    ILifecycleEvent

      public static enum ILifecycleEvent.Kind
      extends Enum<ILifecycleEvent.Kind>

  Enumerates the possible `lifecycle state` changes of an entity.
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT_TO_ACTIVATE`
    `ABOUT_TO_DEACTIVATE`
    `ACTIVATED`
    `DEACTIVATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ILifecycleEvent.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ILifecycleEvent.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOUT_TO_ACTIVATE

          public static final ILifecycleEvent.Kind ABOUT_TO_ACTIVATE

    - #### ACTIVATED

          public static final ILifecycleEvent.Kind ACTIVATED

    - #### ABOUT_TO_DEACTIVATE

          public static final ILifecycleEvent.Kind ABOUT_TO_DEACTIVATE

    - #### DEACTIVATED

          public static final ILifecycleEvent.Kind DEACTIVATED

  - ### Method Detail

    - #### values

          public static ILifecycleEvent.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ILifecycleEvent.Kind c : ILifecycleEvent.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ILifecycleEvent.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html